Subject: Re: [P.A. Semi] Does the ethernet interface work on your Electra, Chitra, Nemo, and Athena board?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 09 Dec 2015 10:38:46 +1100

On Mon, 2015-12-07 at 15:12 +0100, Christian Zigotzky wrote:
> Hi all,
> 
> I have some good news for you. I was able to fix the issue with the
> P.A. 
> Semi Ethernet. It was a problem with the new DMA handling. The patch
> ' 
> [RFC/PATCH,v2] powerpc/iommu: Support "hybrid" iommu/direct DMA ops
> for 
> coherent_mask < dma_mask (https://patchwork.ozlabs.org/patch/472535/)
> ' 
> is the problem.

Send me your .config and the full dmesg output. I can't seem to
reproduce here.

Cheers,
Ben.

> I had patched the following files before I compiled a kernel.
> 
> arch/powerpc/Kconfig
> arch/powerpc/include/asm/device.h
> arch/powerpc/include/asm/dma-mapping.h
> arch/powerpc/include/asm/iommu.h
> arch/powerpc/kernel/dma-iommu.c
> arch/powerpc/kernel/dma-swiotlb.c
> arch/powerpc/kernel/dma.c
> arch/powerpc/platforms/powernv/pci-ioda.c
> arch/powerpc/platforms/pseries/iommu.c
> arch/powerpc/sysdev/dart_iommu.c
> include/asm-generic/dma-mapping-common.h
> 
> The P.A. Semi Ethernet works again with the patched kernel.
> 
> I am happy. :-)
> 
> Please fix the issue in the kernel source code.
> 
> Thanks in advance,
> 
> Christian
> 
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev